<?php 
    function getPrizeStatus($ip,$status) {
        if($ip) {
            return "<span style='color:green'>被抽中</span>";
        } else {
            if($status==1) {
                return "<span style='color:red'>未被抽中</span>";
            }else {
                return "<span style='color:orange'>预留</span>";
            }
        }
    }

    function checkSend($ip,$status,$send) {
        if($ip) {
            $may =  1;
        } else {
            if($status==1) {
                $may =  0;
            }else {
                $may =  1;
            }
        }

        if($may==1&&$send==0) {
            return 1;
        } else {
            return 0;
        }
    }
    //$value['ip'],$value['status'],$value['send'])
    function sendBtn($id,$ip,$status,$send) {
        if($send==1) {
            return '已发';
        } else {
            if(checkSend($ip,$status,$send)) {
				return '<a href="#" prizeid="'.$id.'" class="send" >发奖</a>';
			} else {
				return 'n/a';
			}
        }
        
    }
?>